package com.lz.modules.sys.entity.app;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
* <p>
* </p>*业绩评论表
* @author quyixiao
* @since 2020-10-26
*/

@Data
@TableName("lz_result_comment")
@ApiModel(value = "业绩评论表")
public class ResultComment implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //记录id
    @ApiModelProperty(value = "记录id", name = "recordId")
    private Long recordId;
    //评论用户id
    @ApiModelProperty(value = "评论用户id", name = "staffId")
    private Long staffId;
    //评论内容
    @ApiModelProperty(value = "评论内容", name = "comment")
    private String comment;
    //评论用户名称
    @ApiModelProperty(value = "评论用户名称", name = "staffName")
    private String staffName;
    //状态
    @ApiModelProperty(value = "状态", name = "status")
    private Integer status;
    //流程id
    @ApiModelProperty(value = "流程id", name = "flowRecordId")
    private Long flowRecordId;
    //操作名称
    @ApiModelProperty(value = "操作名称", name = "optDesc")
    private String optDesc;


    @TableField(exist=false)
    private String avatar;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 记录id 
     * @return
     */
    public Long getRecordId() {
        return recordId;
    }
    /**
     * 记录id 
     * @param recordId
     */
    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    /**
     * 评论用户id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 评论用户id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 评论内容 
     * @return
     */
    public String getComment() {
        return comment;
    }
    /**
     * 评论内容 
     * @param comment
     */
    public void setComment(String comment) {
        this.comment = comment;
    }

    /**
     * 评论用户名称 
     * @return
     */
    public String getStaffName() {
        return staffName;
    }
    /**
     * 评论用户名称 
     * @param staffName
     */
    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    /**
     * 状态 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 状态 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 流程id 
     * @return
     */
    public Long getFlowRecordId() {
        return flowRecordId;
    }
    /**
     * 流程id 
     * @param flowRecordId
     */
    public void setFlowRecordId(Long flowRecordId) {
        this.flowRecordId = flowRecordId;
    }

    /**
     * 操作名称 
     * @return
     */
    public String getOptDesc() {
        return optDesc;
    }
    /**
     * 操作名称 
     * @param optDesc
     */
    public void setOptDesc(String optDesc) {
        this.optDesc = optDesc;
    }

    @Override
    public String toString() {
        return "ResultComment{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",recordId=" + recordId +
                ",staffId=" + staffId +
                ",comment=" + comment +
                ",staffName=" + staffName +
                ",status=" + status +
                ",flowRecordId=" + flowRecordId +
                ",optDesc=" + optDesc +
                "}";
    }
}